eoTruncateSplit(3)

NAME
eoTruncateSplit - deterministic truncation method using sort

SYNOPSIS

#include <eoReduceSplit.h>

Inherits eoReduceSplit< EOT >< EOT >.

  Public Member Functions
eoTruncateSplit (eoHowMany _howMany, bool _returnEliminated=false)
Ctor: must provide amount of reduction, and whether or not you need to return the eliminated guys.
void operator() (eoPop< EOT > &_newgen, eoPop< EOT > &_eliminated)
do the jonb

  Private Attributes
eoHowMany howMany
bool returnEliminated

Detailed Description

  template<class EOT> class eoTruncateSplit< EOT >
deterministic truncation method using sort

Definition at line 47 of file eoReduceSplit.h.

Author

Generated automatically by Doxygen for EO from the source code.